# thola-client
Python client for [Thola](https://github.com/inexio/thola).

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com//.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com//.git`)

Then import the package:

```python
import thola_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:

```python
import thola_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import thola_client
from thola_client.rest import ApiException
from pprint import pprint

configuration = thola_client.Configuration()

# create an instance of the API class
api_instance = thola_client.CheckApi(thola_client.ApiClient(configuration))
body = thola_client.CheckCPULoadRequest() # CheckCPULoadRequest | Request to process.

try:
    # Check the cpu load of a device.
    api_response = api_instance.check_cpu_load(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling CheckApi->check_cpu_load: %s\n" % e)

```

## Documentation for API Endpoints

You can find the full API documentation on our [SwaggerHub](https://app.swaggerhub.com/apis-docs/thola/thola/1.0.0).
